diff mbox series

[LEDE-DEV,1/2] uqmi: also try newer pin verification

Message ID 1508854822-11341-1-git-send-email-koen.vandeputte@ncentric.com
State Accepted
Headers show
Series [LEDE-DEV,1/2] uqmi: also try newer pin verification | expand

Commit Message

Koen Vandeputte Oct. 24, 2017, 2:20 p.m. UTC
Newer devices tend to only support the newer version of the pin
verification command, so also try that one.

Fixes PIN issues with modems like the Sierra Wireless MC7455

Signed-off-by: Koen Vandeputte <koen.vandeputte@ncentric.com>
---

Verified using online shell checker

 package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff mbox series

Patch

diff --git a/package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh b/package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh
index f5c8768..079c229 100755
--- a/package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh
+++ b/package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh
@@ -70,7 +70,7 @@  proto_qmi_setup() {
 	done
 
 	[ -n "$pincode" ] && {
-		uqmi -s -d "$device" --verify-pin1 "$pincode" || {
+		uqmi -s -d "$device" --verify-pin1 "$pincode" || uqmi -s -d "$device" --uim-verify-pin1 "$pincode" || {
 			echo "Unable to verify PIN"
 			proto_notify_error "$interface" PIN_FAILED
 			proto_block_restart "$interface"